# Example project of a website including an SQL injection 

This implementation is meant to be used for training purposes.
Do not use this code in production or as a blueprint for development!

## Installation

Use python poetry to install dependencies in the following way.

```sh
poetry install
```

Dependencies can be found inside the `./pyproject.toml` file.

After installation has been done, start the flask server.

### Usage

```sh
poetry run python3 ./flask_sqli.py
```

Now, the website is accessible at [localhost:5000](http://localhost:5000/)

### Manual Installation

If you want to install the dependencies manually use a venv in the following way.

```sh
python3 -m venv venv
source venv/bin/activate
pip install flask
```

### Usage after manual installation

Start the flask server without poetry in the following way.

```sh
source venv/bin/activate
python3 ./flask_sqli.py
```
